Edit

Share via


Items - Delete Variable Library

Deletes the specified variable library.

Permissions

The caller must have write permissions for the variable library.

Required Delegated Scopes

VariableLibrary.ReadWrite.All or Item.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

DELETE https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/variableLibraries/{variableLibraryId}
DELETE https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/variableLibraries/{variableLibraryId}?hardDelete={hardDelete}

URI Parameters

Name In Required Type Description
variableLibraryId
path True

string (uuid)

The VariableLibrary ID.

workspaceId
path True

string (uuid)

The workspace ID.

hardDelete
query

boolean

Specifies whether to perform a hard delete. When set to true, the item is permanently deleted and cannot be recovered. When set to false or not specified, the item is soft-deleted if the item type supports it.

Responses

Name Type Description
200 OK

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • ItemNotFound - The requested item was not found.

  • InsufficientWorkspaceRole - User doesn't have sufficient workspace role.

  • FeatureNotAvailable - This could be due to the soft deletion feature not being available.

  • UnsupportedItemType - This could be due to the soft deletion feature not supported by the requested item type.

  • TenantSwitchDisabled - This could be due to the soft deletion feature being disabled by the tenant admin.

  • InvalidTargetItemStateForSoftDeletion - The item is in invalid states for soft deletion.

  • InvalidParentItemStateForSoftDeletion - The item's parent item is not in Active state.

Examples

Delete a VariableLibrary example
Hard delete a VariableLibrary example

Delete a VariableLibrary example

Sample request

DELETE https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/variableLibraries/5b218778-e7a5-4d73-8187-f10824047715

Sample response

Hard delete a VariableLibrary example

Sample request

DELETE https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/variableLibraries/5b218778-e7a5-4d73-8187-f10824047715?hardDelete=True

Sample response

Definitions

Name Description
ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.